<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [OfficeAPI](./bitburner.officeapi.md) &gt; [upgradeOfficeSize](./bitburner.officeapi.upgradeofficesize.md)

## OfficeAPI.upgradeOfficeSize() method

Upgrade office size.

**Signature:**

```typescript
upgradeOfficeSize(divisionName: string, city: CityName, size: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city


</td></tr>
<tr><td>

size


</td><td>

number


</td><td>

Amount of positions to open


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

